OptFEM3DP1 Toolbox: base/StiffElasAssembling3DP1base.m File Reference

| OptFEM3DP1 Toolbox 20130618_070730 Matlab/Octave Optimized P1-Lagrange Finite Element Method in 3D

- Main Page
- Related Pages
- Files

- File List
- File Members

All Files Functions Variables Pages
Functions
StiffElasAssembling3DP1base.m File Reference

Assembly of the Stiffness Elasticity Matrix by -Lagrange finite elements in 3D using basic version (see report). More...

Go to the source code of this file.

## Functions
function K = | StiffElasAssembling3DP1base (nq, nme, q, me, volumes, lambda, mu, Num)
| Assembly of the Stiffness Elasticity Matrix by -Lagrange finite elements in 3D using basic version (see report).

## Detailed Description

Assembly of the Stiffness Elasticity Matrix by -Lagrange finite elements in 3D using basic version (see report).

Definition in file StiffElasAssembling3DP1base.m.

## Function Documentation

function K = StiffElasAssembling3DP1base | ( |  | nq,
|  |  | nme,
|  |  | q,
|  |  | me,
|  |  | volumes,
|  |  | lambda,
|  |  | mu,
|  |  | Num
| ) |  |

Assembly of the Stiffness Elasticity Matrix by -Lagrange finite elements in 3D using basic version (see report).

The Stiffness Elasticity Matrix is given by

where are -Lagrange vector basis functions. Here and are the elastic stress and strain tensors respectively.

Example

          Th=CubeMesh(10);
          KK=StiffElasAssembling3DP1base(Th.nq,Th.nme,Th.q,Th.me,Th.areas,1.,0.25,0);

See Also
  BuildIkFunc, BuildElemStiffElasMatFunc

Copyright
  See License issues

Parameters

  nq | total number of vertices, also denoted by .
  nme | total number of elements, also denoted by .
  q | Array of vertices coordinates, array. is the -th coordinate of the -th vertex, and
  me | Connectivity array, array. is the storage index of the -th vertex of the -th tetrahedron in the array of vertices coordinates, and .
  volumes | Array of volumes, . volumes(k) is the volume of the k-th tetrahedron.
  lambda | the first Lame coefficient in Hooke's law
  mu | the second Lame coefficient in Hooke's law
  Num | 0 global alternate numbering with local alternate numbering (classical method), 1 global block numbering with local alternate numbering, 2 global alternate numbering with local block numbering, 3 global block numbering with local block numbering.

Return values

  K | stiffness elasticity sparse matrix

Definition at line 17 of file StiffElasAssembling3DP1base.m.